<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.its.safe.dao.mapper.its.VmsMapper">

    <select id="selectNodeAll" resultType="com.its.safe.entity.its.TbNode" fetchSize="1000">
    <![CDATA[
        SELECT A.NODE_ID,
               A.NODE_TYPE,
               A.NODE_NAME,
               A.TURN_P,
               A.RMRK,
               A.X_CRDN,
               A.Y_CRDN
        FROM TB_NODE A
        ]]>
    </select>

    <select id="selectNodeRgnAll" resultType="com.its.safe.entity.its.TbNodeRgn" fetchSize="1000">
    <![CDATA[
        SELECT A.NODE_ID,
               A.BIS_RAD
        FROM TB_NODE_RGN A
        ]]>
    </select>

    <select id="selectLinkAll" resultType="com.its.safe.entity.its.TbLink" fetchSize="1000">
    <![CDATA[
        SELECT A.LINK_ID,
               A.F_NODE_ID,
               A.T_NODE_ID,
               A.LANES,
               A.ROAD_RANK,
               A.ROAD_TYPE,
               A.ROAD_NO,
               A.ROAD_NAME,
               A.MAX_SPD,
               A.LINK_LENG,
               A.DEL_YN
        FROM TB_LINK A
       WHERE A.LINK_LENG > 1
        ]]>
    </select>

</mapper>
